Alerts
Alerts can be created by users on datasets. These alerts can then be used to inform users of information related to that dataset.
Requests
Initialise an alert on a dataset
POST /datasets/{dataset-id}/alerts
Initialises a new alert on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"id" : "de29c7e0-8ada-47d7-83d1-6416e9176d7f",
"created" : "2026-07-10T10:10:57.765310998",
"lastModified" : "2026-07-10T10:10:57.765313042",
"_links" : {
"create alert" : {
"href" : "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts/de29c7e0-8ada-47d7-83d1-6416e9176d7f"
}
}
}
Create an alert on a dataset
PUT /datasets/{dataset-id}/alerts/{alert-id}
Create a new alert on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts/de29c7e0-8ada-47d7-83d1-6416e9176d7f' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"detail" : "New dataset alert"
}'
import requests
url = "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts/de29c7e0-8ada-47d7-83d1-6416e9176d7f"
data = {
"detail" : "New dataset alert"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
{
"id" : "de29c7e0-8ada-47d7-83d1-6416e9176d7f",
"created" : "2026-07-10T10:10:57.82413914",
"lastModified" : "2026-07-10T10:10:57.824139547",
"raised" : "2026-07-10T10:10:57.82413914",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d"
}
}
}
View alerts on a dataset
GET /datasets/{dataset-id}/alerts
View alerts on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts' -i -X GET
import requests
url = "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"_embedded" : {
"alerts" : [ {
"id" : "de29c7e0-8ada-47d7-83d1-6416e9176d7f",
"created" : "2026-07-10T10:10:57.824139",
"lastModified" : "2026-07-10T10:10:57.82414",
"raised" : "2026-07-10T10:10:57.824139",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d/alerts?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
View an alert
GET /alerts/{alert-id}
View an alert.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/alerts/de29c7e0-8ada-47d7-83d1-6416e9176d7f' -i -X GET
import requests
url = "https://app.matatika.com/api/alerts/de29c7e0-8ada-47d7-83d1-6416e9176d7f"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"id" : "de29c7e0-8ada-47d7-83d1-6416e9176d7f",
"created" : "2026-07-10T10:10:57.824139",
"lastModified" : "2026-07-10T10:10:57.82414",
"raised" : "2026-07-10T10:10:57.824139",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/fc20c14b-bcfa-4b0a-9a54-ad64aca35a6d"
}
}
}